The following shows how to generate the urlsuccessresponses-by-url report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
Returns traffic data for URLs returning successful responses.
This report doesn't include data for Object Delivery traffic. To get traffic for Object Delivery, use the delivery/traffic/current report.
Business object: cpcode
Data available for: 92 days
Available metrics
| Metric | Description |
|---|---|
| Data metrics | |
2XXEdgeHits | The total number of hits from Akamai to the end user returning 2XX responses. |
3XXEdgeHits | The total number of hits from Akamai to the end user returning 3XX responses. |
Available filters
| Filter | Type | Description |
|---|---|---|
| Optional filters | ||
delivery_type | Enumeration | Distinguishes secure from non-secure traffic. Optional. No selection returns both secure and non-secure traffic. |
secure: Secure traffic. | ||
non_secure: Non-secure traffic. | ||
url_contain | String | URL contains the specified string. |
url_end_with | String | URL ends with the specified string. |
url_exact_match | String | URL is an exact match for the specified string. |
url_match | String | URL matches the specified string. |
url_not_contain | String | URL does not contain the specified string. |
url_not_end_with | String | URL does not end with the specified string. |
url_not_match | String | URL does not match the specified string. |
url_not_start_with | String | URL does not start with the specified string. |
url_start_with | String | URL starts with the specified string. |
The use of negative filtersFor this report, the negative filters, such as
url_not_start_withorurl_not_contain, use the OR logic, which means you can only use one filter value at a time. Otherwise, the filters may not work in the expected way.
POST request
POST /reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2/report-data{?start,āend}
Sample: /reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2/report-data?startā=2020-05-01T00%3A00%3A00Zā&endā=2020-06-01T00%3A00%3A00Z
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2020-05-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. |
end | String | 2020-06-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. |
JSON request members
| Member | Type | Description |
|---|---|---|
objectIds | Array | Specifies the set of cpcode values you want to report on. |
objectIds | Enumeration | As an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required. |
metrics | Array | The set of desired metrics. If omitted, the report includes all available metrics. |
filters | Map of arrays | Specifies a set of custom filters, with each filter's name keying an array with each filter's set of values. |
limit | Number | This numeric parameter is optional, by default 500, and not greater than 25000. |
Request body:
{
"objectIds": [
"55232",
"23433",
"32433"
],
"metrics": [
"2XXEdgeHits",
"3XXEdgeHits"
],
"filters": {
"delivery_type": [
"secure",
"non-secure"
],
"url_contain": [
"/shop",
"/about"
],
"url_end_with": [
".html",
".jsp"
],
"url_exact_match": [
"https://www.example.com/shop/index.html",
"https://www.example.com/about/index.html"
],
"url_match": [
"https://www.example.com/shop",
"https://www.example.com/about"
],
"url_not_contain": [
"/blog",
"/contact"
],
"url_not_end_with": [
".doc",
".css"
],
"url_not_match": [
"https://www.example.com/blog",
"https://www.example.com/contact"
],
"url_not_start_with": [
"email:",
"ftp:"
],
"url_start_with": [
"http:",
"https:"
]
}
}
GET request
GET /reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2/report-data{?start,āend,āobjectIds,āallObjectIds,āmetrics,āfilters}
Sample: /reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2/report-data?startā=2020-05-01T00%3A00%3A00Zā&endā=2020-06-01T00%3A00%3A00Zā&objectIdsā=55232,ā23433,ā32433ā&metricsā=2XXEdgeHits%2C3XXEdgeHitsā&filtersā=delivery_type%3Dsecure%2Cdelivery_type%3Dnon-secure%2Curl_contain%3D%2Fshop%2Curl_contain%3D%2Fabout
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2022-06-23T13:55:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start valueās timestamp. |
end | String | 2022-06-23T14:15:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end valueās timestamp. |
| Optional | |||
allObjectIds | Boolean | true | As an alternative to objectIds, enabling this generates a report that includes all IDs available for the cpcode objectType. This parameter is ignored if the request also specifies a set of objectIds. |
objectIds | String | 55232,ā23433,ā32433 | As an alternative to allObjectIds, specifies the set of unique IDs for the cpcode objectType you want to report on, formatted as a comma-delimited list. |
metrics | String | 2XXEdgeHits,ā3XXEdgeHits | Specifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request. |
filters | String | delivery_type=āsecure,ādelivery_type=ānon-secure,āurl_contain=/shop,āurl_contain=/about | Specifies criteria to filter the report's data. The set of available filters depends on the type of report. Separate each filter name and value with an equals (=) character, and separate various name/value pairs with commas (,). To specify more than one filter value, repeat the filter name. See the accompanying example for guidance. URL-encode the entire value in the GET request. |
limit | Number | This numeric parameter is optional, by default 500, and not greater than 25000. |
JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "urlsuccessresponses-by-url",
"version": "2",
"outputType": "FLAT",
"groupBy": [
"hostname.url"
],
"start": "2020-05-01T00:00:00Z",
"end": "2020-06-01T00:00:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 4,
"filters": [
{
"name": "delivery_type",
"values": [
"secure",
"non-secure"
]
},
{
"name": "url_contain",
"values": [
"/shop",
"/about"
]
},
{
"name": "url_end_with",
"values": [
".html",
".jsp"
]
},
{
"name": "url_exact_match",
"values": [
"https://www.example.com/shop/index.html",
"https://www.example.com/about/index.html"
]
},
{
"name": "url_match",
"values": [
"https://www.example.com/shop",
"https://www.example.com/about"
]
},
{
"name": "url_not_contain",
"values": [
"/blog",
"/contact"
]
},
{
"name": "url_not_end_with",
"values": [
".js",
".pdf"
]
},
{
"name": "url_not_match",
"values": [
"https://www.example.com/blog",
"https://www.example.com/contact"
]
},
{
"name": "url_not_start_with",
"values": [
"email:",
"ftp:"
]
},
{
"name": "url_start_with",
"values": [
"http:",
"https:"
]
}
],
"columns": [
{
"name": "groupBy",
"label": "hostname.url"
},
{
"name": "2XXEdgeHits",
"label": "Edge Hits"
},
{
"name": "3XXEdgeHits",
"label": "Edge Hits"
}
],
"objectType": "cpcode",
"objectIds": [
"55232",
"23433",
"32433"
]
},
"data": [
{
"hostname.url": "stream.example.com/subscribe",
"2XXEdgeHits": "1296",
"3XXEdgeHits": "2032"
},
{
"hostname.url": "stream.example.com/live",
"2XXEdgeHits": "905",
"3XXEdgeHits": "3237"
},
{
"hostname.url": "example.com/static/css",
"2XXEdgeHits": "1656",
"3XXEdgeHits": "2634"
},
{
"hostname.url": "example.com/live/service",
"2XXEdgeHits": "2968",
"3XXEdgeHits": "4497"
}
],
"summaryStatistics": {}
}
CSV response
Status 200 text/csv
Response Body:
#METADATA_START
name,āurlsuccessresponses-by-url
version,ā2
source,āurlsuccessresponses-by-url/versions/2
groupBy,āhostname.url
start,ā2020-05-01T00:00:00Z
end,ā2020-06-01T00:00:00Z
availableDataEnds,
suggestedRetryTime,
rowCount,ā4
objectType,ācpcode
objectIds,ā55232,ā23433,ā32433
delivery_type,āsecure,ānon-secure
url_contain,/shop,/about
url_end_with,.html,.jsp
url_exact_match,āhttps://www.example.com/shop/index.html,āhttps://www.example.com/about/index.html
url_match,āhttps://www.example.com/shop,āhttps://www.example.com/about
url_not_contain,/blog,/contact
url_not_end_with,.js,.pdf
url_not_match,āhttps://www.example.com/blog,āhttps://www.example.com/contact
url_not_start_with,āemail:,ftp:
url_start_with,āhttp:,https:
#METADATA_END
#SUMMARYSTATISTICS_START
#SUMMARYSTATISTICS_END
#COLUMNS_START
hostname.url,ā2XXEdgeHits,ā3XXEdgeHits
#COLUMNS_END
#DATA_START
stream.example.com/subscribe,ā1296,ā2032
stream.example.com/live,ā905,ā3237
example.com/static/css,ā1656,ā2634
example.com/live/service,ā2968,ā4497
#DATA_END
Get report details
This sample Get a report type operation gets the same information you need to run the urlsuccessresponses-by-url report as provided in this reference documentation, but available dynamically to your API client application.
GET /reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2
Status 200 application/json
Response body:
{
"name": "urlsuccessresponses-by-url",
"description": "Returns traffic data for URLs returning successful responses.",
"businessObjectName": "cpcode",
"version": 2,
"status": "PUBLISHED",
"deprecated": false,
"timeBased": false,
"outputType": "FLAT",
"requiredProducts": [
"Basic Traffic Reports"
],
"requiredRoles": [
"Reports - All privileges",
"Reports - View only",
"OTA App User"
],
"available": true,
"metrics": [
{
"name": "2XXEdgeHits",
"description": "The total number of hits from Akamai to the end user returning 2XX responses.",
"label": "Edge Hits",
"unit": "COUNT",
"summaryStatistic": false
},
{
"name": "3XXEdgeHits",
"description": "The total number of hits from Akamai to the end user returning 3XX responses.",
"label": "Edge Hits",
"unit": "COUNT",
"summaryStatistic": false
}
],
"groupOutlyingValues": {
"enabled": false
},
"groupBy": [
"hostname.url"
],
"filters": [
{
"name": "url_exact_match",
"type": "string",
"description": "URL is an exact match for the specified string. ",
"required": false
},
{
"name": "url_contain",
"type": "string",
"description": "URL contains the specified string.",
"required": false
},
{
"name": "url_not_end_with",
"type": "string",
"description": "URL does not end with the specified string. ",
"required": false
},
{
"name": "url_end_with",
"type": "string",
"description": "URL ends with the specified string.",
"required": false
},
{
"name": "url_match",
"type": "string",
"description": "URL matches the specified string. ",
"required": false
},
{
"name": "url_not_contain",
"type": "string",
"description": "URL does not contain the specified string. ",
"required": false
},
{
"name": "url_not_start_with",
"type": "string",
"description": "URL does not start with the specified string. ",
"required": false
},
{
"name": "url_start_with",
"type": "string",
"description": "URL starts with the specified string. ",
"required": false
},
{
"name": "url_not_match",
"type": "string",
"description": "URL does not match the specified string.",
"required": false
},
{
"name": "delivery_type",
"type": "enum",
"description": "Distinguishes secure from non-secure traffic. Optional. No selection returns both secure and non-secure traffic. ",
"values": [
{
"value": "secure",
"description": "Secure traffic. "
},
{
"value": "non_secure",
"description": "Non-secure traffic."
}
],
"required": false
}
],
"intervals": [
"MONTH",
"WEEK",
"DAY"
],
"dataRetentionDays": 92,
"limit": 500,
"maxLimit": 25000,
"links": [
{
"rel": "self",
"href": "/reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2"
},
{
"rel": "versions",
"href": "/reporting-api/v1/reports/urlsuccessresponses-by-url/versions"
},
{
"rel": "all-reports",
"href": "/reporting-api/v1/reports"
},
{
"rel": "execute-report",
"href": "/reporting-api/v1/reports/urlsuccessresponses-by-url/versions/2/report-data"
}
]
}